Bug 178864 - WebDriver: failing to process capabilities should produce InvalidArgument error not SessionNotCreated
Summary: WebDriver: failing to process capabilities should produce InvalidArgument err...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-26 06:41 PDT by Carlos Garcia Campos
Modified: 2017-11-15 12:43 PST (History)
2 users (show)

See Also:


Attachments
Patch (6.16 KB, patch)
2017-10-26 06:43 PDT, Carlos Garcia Campos
bburg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Carlos Garcia Campos 2017-10-26 06:43:07 PDT
Created attachment 325004 [details]
Patch
Comment 2 Brian Burg 2017-10-26 10:18:03 PDT
Comment on attachment 325004 [details]
Patch

rs=me
Comment 3 Carlos Garcia Campos 2017-10-27 00:11:04 PDT
Committed r224088: <https://trac.webkit.org/changeset/224088>
Comment 4 Radar WebKit Bug Importer 2017-11-15 12:43:52 PST
<rdar://problem/35568037>